Loading...
Searching...
No Matches
plugin.c File Reference
`#include "plugin.h"`
`#include <jansson.h>`
`#include "../apierror.h"`
`#include "../debug.h"`
Include dependency graph for plugin.c:

## Functions

janus_plugin_result * | janus_plugin_result_new (janus_plugin_result_type type, const char *text, json_t *content)
| Helper to quickly create a janus_plugin_result instance.
void | janus_plugin_result_destroy (janus_plugin_result *result)
| Helper to quickly destroy a janus_plugin_result instance.
void | janus_plugin_rtp_extensions_reset (janus_plugin_rtp_extensions *extensions)
| Helper method to initialise/reset the RTP extensions field.
void | janus_plugin_rtp_reset (janus_plugin_rtp *packet)
| Helper method to initialise/reset the RTP packet.
janus_plugin_rtp * | janus_plugin_rtp_duplicate (janus_plugin_rtp *packet)
| Helper method to duplicate the RTP packet and its buffer.
void | janus_plugin_rtcp_reset (janus_plugin_rtcp *packet)
| Helper method to initialise/reset the RTCP packet.
void | janus_plugin_data_reset (janus_plugin_data *packet)
| Helper method to initialise/reset the data message.

## Function Documentation

## janus_plugin_data_reset()

void janus_plugin_data_reset | ( | janus_plugin_data * | packet | ) |

Helper method to initialise/reset the data message.

Parameters

  [in] | packet | Pointer to the janus_plugin_data message to reset

## janus_plugin_result_destroy()

void janus_plugin_result_destroy | ( | janus_plugin_result * | result | ) |

Helper to quickly destroy a janus_plugin_result instance.

Parameters

  [in] | result | The janus_plugin_result instance to destroy

## janus_plugin_result_new()

janus_plugin_result * janus_plugin_result_new | ( | janus_plugin_result_type | type,
|  | const char * | text,
|  | json_t * | content )

Helper to quickly create a janus_plugin_result instance.

Parameters

  [in] | type | The type of result
  [in] | text | String to add to the result (for JANUS_PLUGIN_OK_WAIT or JANUS_PLUGIN_ERROR), if any
  [in] | content | The json_t object with the content of the result, if any

Returns
  A valid janus_plugin_result instance, if successful, or NULL otherwise

## janus_plugin_rtcp_reset()

void janus_plugin_rtcp_reset | ( | janus_plugin_rtcp * | packet | ) |

Helper method to initialise/reset the RTCP packet.

Parameters

  [in] | packet | Pointer to the janus_plugin_rtcp packet to reset

## janus_plugin_rtp_duplicate()

janus_plugin_rtp * janus_plugin_rtp_duplicate | ( | janus_plugin_rtp * | packet | ) |

Helper method to duplicate the RTP packet and its buffer.

Note
  The core will always pass non-allocated packets to plugins, which means they may have to duplicate them in case they need them for more time.

Parameters

  [in] | packet | Pointer to the janus_plugin_rtp packet to duplicate

Returns
  A pointer to the new janus_plugin_rtp, if successful, or NULL otherwise

## janus_plugin_rtp_extensions_reset()

void janus_plugin_rtp_extensions_reset | ( | janus_plugin_rtp_extensions * | extensions | ) |

Helper method to initialise/reset the RTP extensions field.

Note
  This is important because each of the supported extensions may use a different value to specify an "extension missing" state, which may be different from a 0 or a NULL (e.g., a -1 instead)

Parameters

  [in] | extensions | Pointer to the janus_plugin_rtp_extensions instance to reset

## janus_plugin_rtp_reset()

void janus_plugin_rtp_reset | ( | janus_plugin_rtp * | packet | ) |

Helper method to initialise/reset the RTP packet.

Note
  The main motivation for this method comes from the presence of the extensions as a janus_plugin_rtp_extensions instance.

Parameters

  [in] | packet | Pointer to the janus_plugin_rtp packet to reset